﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace bmani
{
    class BMani
    {
        static BinaryManipulator BM = new BinaryManipulator();

        static int Main(string[] args)
        {
            if (args.Length != 1)
            {
                Console.WriteLine("bmani filename");
                return -1;
            }
            Console.WriteLine("Binary Manipulator Ver.0.00(突貫)");
            int iRV = 0 ;
            try
            {
                BM.ProcessFile(args[0]);
                Console.WriteLine("処理が終了しました。");
            }
            catch (Exception Err)
            {
                Console.WriteLine("エラーが発生したため処理が中断されました。");
                Console.WriteLine("{0}", Err.ToString());
                iRV = 1;
            }
#if DEBUG
            Console.WriteLine("Enterキーを押して下さい。");
            Console.ReadLine();
#endif
            return iRV;
        }
    }
}
